clear;

x = loadsig('testfft.tr0');

fs = 1/10e-12;

y1 = evalsig(x,'rfbit10');
y2 = evalsig(x,'rfpwmampapprox');
y3 = evalsig(x,'rfpwmresol1');
y4 = evalsig(x,'rfpwmresol2');
y5 = evalsig(x,'rfpwmresol3');

%%

rbw = 100e3;
[YdB1,f] = fun_calc_psd(y1,fs,rbw);
[YdB2,f] = fun_calc_psd(y2,fs,rbw);
[YdB3,f] = fun_calc_psd(y3,fs,rbw);
[YdB4,f] = fun_calc_psd(y4,fs,rbw);
[YdB5,f] = fun_calc_psd(y5,fs,rbw);

%%

figure(1);
h0 = figure(1);
set(h0,'Position',[646 200 560*1.07 420*1.07]);
clf;
plot(f/1e9,YdB1,'r-',f/1e9,YdB5,'m-',f/1e9,YdB4,'b-', ...
    f/1e9,YdB3,'c-',f/1e9,YdB2,'k-');
hold on;
plot([0.9617 1.0217],[-156 -156],'k',[1.0617 1.1217],[-156 -156],'k','LineWidth',4);
hold off;
grid on;
ylabel('PSD (dB)');
xlabel('Frequency (GHz)');
title('Output Spectrum of DPA (dB)');
[legend_h,object_h,plot_h,text_strings]= ...
    legend('10-bit DPA','resolution 0.05^{\circ}','resolution 0.01^{\circ}'...
    ,'resolution 0.005^{\circ}','infinite resolution');
set(object_h,'LineWidth',3);
axis([1.0417-0.2 1.0417+0.2 -170 -130]);
text(0.88,-154.5,'3GPP mask','BackgroundColor',[1 1 1]);
text(0.955,-155.1,'\downarrow','Rotation',-110);
